### Method

# Foundry CommandLine run

#### Declaration [src]

    DexFuture*
    foundry_command_line_run (
      FoundryCommandLine* self,
      const char* const* argv
    )

#### Description [src]

Runs the command line.

#### Parameters

`argv`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to an int.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.